import { h } from 'preact'
import { bool, string } from 'prop-types'

import Logo from '../Logo'
import { P } from '../Text'
import { OverlayWrapper, TopLeft } from './styles'

const VideoOverlay = ({ active, title, org }) => {
  const displayTitle = `${title}${org ? ` — ${org}` : ''}`

  return (
    <OverlayWrapper>
      <TopLeft $active={active}>
        <Logo active={active} />
        <P
          size={18}
          css={`
            margin-top: 16px;
          `}
        >
          {displayTitle}
        </P>
      </TopLeft>
    </OverlayWrapper>
  )
}

VideoOverlay.propTypes = {
  active: bool,
  title: string.isRequired,
  org: string,
}

export default VideoOverlay
